Bug 245800 - [EMC 4.6 bug] The parsing logic in iscsi-linux incorrectly sets global parameters.
[EMC 4.6 bug] The parsing logic in iscsi-linux incorrectly sets global parame...
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: iscsi-initiator-utils (Show other bugs)
4.0
All Linux
low Severity low
: ---
: ---
Assigned To: Mike Christie
:
Depends On:
Blocks: 217102
  Show dependency treegraph
 
Reported: 2007-06-26 15:13 EDT by Wayne Berthiaume
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHBA-2007-0810
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-15 11:12:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wayne Berthiaume 2007-06-26 15:13:54 EDT
Description of problem:
Te parsing logic in iscsi-linux must have all global settings set prior to the 
DiscoveryAddress stanza or the last target listed for the DiscoveryAddress will 
take on those parameters and all others will assume the defaults.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:
Last target has the changes but none of the others.

Expected results:
All global changes should be in affect on all targets. 
Additional info:

If the /etc/iscsi.conf file in RHEL 4 has the following:

#DiscoveryAddress=51.50.51.198
#DiscoveryAddress=51.51.51.198
#DiscoveryAddress=51.50.51.199
#DiscoveryAddress=51.51.51.199
#DiscoveryAddress=51.51.51.213
#DiscoveryAddress=51.50.51.212
DiscoveryAddress=51.50.51.231
DiscoveryAddress=51.51.51.231
DiscoveryAddress=51.50.51.232
DiscoveryAddress=51.51.51.232
# To globally enable R2T flow control (i.e., the initiator must wait for an R2T
# command before sending any data), uncomment the following line:
#
InitialR2T=yes
#
# To globally disable R2T flow control (i.e., the initiator has an implied
# initial R2T of "FirstBurstLength" at offset 0), uncomment the following line:
#
#InitialR2T=no

	The InitialR2T=yes will only be applied to 51.51.51.232. If 
the /etc/iscsi.conf file is as such:

# To globally enable R2T flow control (i.e., the initiator must wait for an R2T
# command before sending any data), uncomment the following line:
#
InitialR2T=yes
#
# To globally disable R2T flow control (i.e., the initiator has an implied
# initial R2T of "FirstBurstLength" at offset 0), uncomment the following line:
#
#InitialR2T=no
#DiscoveryAddress=51.50.51.198
#DiscoveryAddress=51.51.51.198
#DiscoveryAddress=51.50.51.199
#DiscoveryAddress=51.51.51.199
#DiscoveryAddress=51.51.51.213
#DiscoveryAddress=51.50.51.212
DiscoveryAddress=51.50.51.231
DiscoveryAddress=51.51.51.231
DiscoveryAddress=51.50.51.232
DiscoveryAddress=51.51.51.232

	Then the InitialR2T=yes is applied globally to all the targets. 
Recommend document change that would inform the useer that all global 
parameters need to be applied to the beginning of the iscsi.conf before the 
global target list.
Comment 1 Mike Christie 2007-07-09 12:03:56 EDT
Adding devel_ack. Depending on time available for 4.7, I will either fix the
code to handle the above situation or add documentation that we do not support it.
Comment 2 Mike Christie 2007-08-01 22:20:18 EDT
The correct way to define global values is in the iscsi.conf man page, so I just
copied that to iscsi.conf example page.
Comment 10 errata-xmlrpc 2007-11-15 11:12:49 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0810.html

Note You need to log in before you can comment on or make changes to this bug.